#include <Python.h>
#include <malloc.h>
#include <readline/readline.h>
#include <stdio.h>

/*
  Apparently current Python versions have this built in, but
  1.5.2 doesn't.
*/

static PyObject *munge_readline_word_break (self,args)
     PyObject *self;
     PyObject *args;
{
  static char *cur_word_break = 0;
  /* replace this with inc'ing ref to object, saving object ptr,
     and dec'ing ref to old saved object ptr if no longer there:
     save memory for copy.
  */
  char *new_word_break;
  if (!PyArg_ParseTuple(args, "s", &new_word_break))
    return NULL;
  if (cur_word_break)
    free(cur_word_break);
  
  cur_word_break = strdup (new_word_break);
  if (cur_word_break)
    rl_completer_word_break_characters = cur_word_break;
  else
    printf ("Unable to strdup in munge_readline_word_break");
  /* ought to throw an exn instead XXX */

  Py_INCREF(Py_None);
  return Py_None;
}

static PyMethodDef munge_readline_methods [] = {
  {"word_break", munge_readline_word_break, METH_VARARGS},
  {NULL,NULL}
};
void initmunge_readline ()
{
  (void) Py_InitModule ("munge_readline", munge_readline_methods);
}
