#!/usr/bin/env python
# Copyright (C) 2001 Aaron Lav, asl2@pobox.com

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


import htmllib
import formatter

class RefExtractHTMLParser(htmllib.HTMLParser):
    def __init__ (self):
	f = formatter.NullFormatter()
	htmllib.HTMLParser.__init__(self,f)
	
    def anchor_bgn(self,href,name,type):
	# XXX assume we don't need save_bgn/end to parse anything inside
	# <a></a> tags.  Currently it's only used for title, so this is OK,
	# but I would perhaps have implemented it as a stack.  (Of course,
	# that would lose on <foo><bar>...</foo></bar>, which is illegal,
	# but...)
        # Annoyingly enough, on 2001/7/2, www.pobox.com has nested A tags.
        # So we barf.
	htmllib.HTMLParser.save_bgn (self)
	htmllib.HTMLParser.anchor_bgn(self,href,name,type)

    def anchor_end(self):
	htmllib.HTMLParser.save_end (self)

class NullParser:
    anchorlist = [] # only need one, so give it class scope, not instance
    def feed(self,data): pass
    def close(self): pass

    
